summaryrefslogtreecommitdiffstats
path: root/usbhid-dump/bootstrap
diff options
context:
space:
mode:
Diffstat (limited to 'usbhid-dump/bootstrap')
-rwxr-xr-xusbhid-dump/bootstrap28
1 files changed, 28 insertions, 0 deletions
diff --git a/usbhid-dump/bootstrap b/usbhid-dump/bootstrap
new file mode 100755
index 0000000..7574b3d
--- /dev/null
+++ b/usbhid-dump/bootstrap
@@ -0,0 +1,28 @@
+#!/bin/sh
+# SPDX-License-Identifier: GPL-2.0-or-later
+# Copyright (c) 2010 Nikolai Kondrashov
+#
+# This file is part of usbhid-dump.
+#
+# Usbhid-dump is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# Usbhid-dump is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with usbhid-dump; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
+
+# Fail on any error
+set -e
+
+cat > ChangeLog <<CUT
+# Dummy ChangeLog, replaced with git log when distribution is created.
+CUT
+
+autoreconf -i -f